Subject: Re: [Bitcoin-development] Is SourceForge still trustworthy enough to host this list?

From: "Wladimir J. van der Laan" <[email-masked]>
Date: Thu, 11 Jun 2015 11:27:46 +0200

On Wed, Jun 10, 2015 at 09:36:23PM +0300, s7r wrote:
> The mail list is public, so it's not like the data on it is somehow
> sensitive. Sourcefoge is fine, it has a nice web UI where you can browse
> the message and sort/order them as you want, etc.
> 
> Why would you want to move to a paid solution? And why would you want
> users to have to pay per message? This is the worst idea ever from my
> point of view. We want to encourage people to join the community, run
> full nodes, ask questions, come with solutions, ideas for improvements
> and so on. Everyone should read and write and contribute as much as
> possible with ideas in debates. You never know who can have bright ideas
> in some contexts.
> 
> Bottom line is so far sourceforge handles the mail lists just fine. I
> don't see a single advantage another mail list provider / system could
> offer, except some headache and extra work for migration. The software
> distribution via sourcefoge was cancelled for obvious reasons which I
> fully understand and agree to, but it has nothing to do with the mail
> lists. We have way more important things to brainstorm about.

I completely agree here. I'm not against migration if a much better option comes along, but e.g. paying for another provider sounds like nonsense when sourceforge does this for free (with some minor annoyances - other providers will have their own).

Paying per message is far-fetched, something that could work in economic theory with perfectly spherical people in their perfectly efficient market. In practice the likely result would be a mailing list only used for advertisement and promotion, and technical discussion and release announcements would disappear.

BTW for people that *don't* like sourceforge's web archive UI there are some other options via gmane:

http://dir.gmane.org/gmane.comp.bitcoin.devel

Wladimir